<?php
/**
 * Plugin Name: Taglayer
 * Description: Customer experiences without code.
 * Author: Taglayer
 * Author URI: https://www.taglayer.com/
 * Version: 1.0.0
 * License: GPLv3
 * License URI: https://www.gnu.org/licenses/gpl-3.0.en.html
 * Text Domain: taglayer
 *
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

add_action( 'plugins_loaded', 'taglayer_plugin_init' );

function taglayer_plugin_init() {

	if ( ! class_exists( 'WP_Taglayer' ) ) :

		class WP_Taglayer {
			const VERSION = '1.0.0';
			private static $instance;

			public static function get_instance() {
				if ( null === self::$instance ) {
					self::$instance = new self();
				}
				return self::$instance;
			}

			private function __clone() {}
			private function __wakeup() {}

			private function __construct() {
				add_action( 'admin_init', array( $this, 'install' ) );
				$this->init();
			}

			public function init() {
				require_once( dirname( __FILE__ ) . '/includes/class-taglayer.php' );
				$taglayer = new Taglayer();
				$taglayer->init();
			}

			public function update_plugin_version() {
				delete_option( 'taglayer_version' );
				update_option( 'taglayer_version', self::VERSION );
			}

			public function install() {
				if ( ! is_plugin_active( plugin_basename( __FILE__ ) ) ) {
					return;
				}

				if ( ( self::VERSION !== get_option( 'taglayer_version' ) ) ) {

					$this->update_plugin_version();
				}
			}

			public function plugin_action_links( $links ) {
				$plugin_links = array(
					'<a href="https://www.taglayer.com/">Support</a>',
				);
				return array_merge( $plugin_links, $links );
			}
		}
		WP_Taglayer::get_instance();
	endif;
}
